import request from '@/utils/request'

// 分页查询访客访问信息列表
export function pageListInfo(query) {
  return request({
    url: '/visit/info/pageList',
    method: 'get',
    params: query
  })
}

// 查询访客访问信息列表
export function listInfo(query) {
  return request({
    url: '/visit/info/list',
    method: 'get',
    params: query
  })
}

// 查询访客访问信息详细
export function getInfo(id) {
  return request({
    url: '/visit/info/' + id,
    method: 'get'
  })
}

// 新增访客访问信息
export function addInfo(data) {
  return request({
    url: '/visit/info',
    method: 'post',
    data: data
  })
}

// 修改访客访问信息
export function updateInfo(data) {
  return request({
    url: '/visit/info',
    method: 'put',
    data: data
  })
}

// 删除访客访问信息
export function delInfo(id) {
  return request({
    url: '/visit/info/' + id,
    method: 'delete'
  })
}

// 导出访客访问信息
export function exportInfo(query) {
  return request({
    url: '/visit/info/' + 'export',
    method: 'post',
    params: query
  })
}
